Skip to content

Monitoring - One Platform Organizations Integration API (v1)

Monitoring - Public endpoints to integrate Organization with One Platform

Download OpenAPI description
Languages
Servers
https://docs.namirial.app

Consumptions

Show consumptions of your product in One Platform

Operations

Business Relations

Operations

Consumers

Operations

Contract Items

Operations

Contracts

Operations

Return a paginated list of contracts related to the organization as party

Request

Security policies: OrganizationOrGlobalContractView

Security
OpenIdConnect
Path
idstringrequired
Query
consumerIdstring

The id of the consumer to be used as second party filter in contracts. (Default: Not applied)

filterstring

The filter ODATA expression contracts by. If set exclude all other filters. (Default: Not applied)

legalEntityIdstring

The id of the legal entity to be used as second party filter in contracts. (Default: Not applied)

issuerIdstring

The id of the issuer to be used as second party filter in contracts. (Default: Not applied)

ownerIdstring

The id of the owner to be used as second party filter in contracts. (Default: Not applied)

legalRepresentativeIdstring

The id of the legal representative to be used as second party filter in contracts. (Default: Not applied)

searchOnAnyRecipientsConsumerIdboolean

search consumer id on billing consumer id, owner id and legal representative id of the contract. (Default: Not applied)

statusstring

The list of contract statuses for which contracts should be filtered. Is JSON array format. (Default: Not applied)

typestring

The list of contract types for which contracts should be filtered. Is JSON array format. (Default: Not applied)

startDateFromstring

The start date from of the contract. Example: 2023-11-28 (Default: Not applied)

startDateTostring

The start date to of the contract. Example: 2023-11-28 (Default: Not applied)

numberstring

The contract number to be used as filter in contracts. (Default: Not applied)

orderBystring

The order ODATA expression contracts by. If set exclude other sorts. (Default: Not applied)

searchstring

The search term for filtering items. (Default: Not applied)

exactboolean

Boolean which defines whether the params name and search must match exactly. (Default: false)

pageNumberinteger(int32)

The page number of pagination. (Default: 1)

pageSizeinteger(int32)

The page size of pagination. (Default: 50, Max: 500)

shouldCountboolean

Indicates whether the query should also return the total count of items (Default: true)

curl -i -X GET \
  'https://docs.namirial.app/v1/organizations/{id}/contracts?consumerId=string&filter=string&legalEntityId=string&issuerId=string&ownerId=string&legalRepresentativeId=string&searchOnAnyRecipientsConsumerId=true&status=string&type=string&startDateFrom=string&startDateTo=string&number=string&orderBy=string&search=string&exact=true&pageNumber=0&pageSize=0&shouldCount=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
itemsArray of objects(ContractDto)

ICollection of the final sorted, filtered and paginated data.

pageNumberinteger(int32)

The current page number.

pageSizeinteger(int32)

Number or items in a page.

totalPagesinteger(int32)read-only

Total number of pages.

totalItemsinteger(int32)

Total number of items that exist for the query.

Response
application/json
{ "items": [ { … } ], "pageNumber": 0, "pageSize": 0, "totalPages": 0, "totalItems": 0 }

Create a contract organization

Request

Security policies: OrganizationOrGlobalContractCreate

Security
OpenIdConnect
Path
idstringrequired
Bodyapplication/jsonrequired
descriptionstring

Description for this contract

startDatestring(date)

Date and time indicating starting date for this contract.

Example: "2023-11-28"
issuerIdstring or null

Issuer identifier for this contract

legalEntityIdstring

Legal entity identifier for this contract

billingConsumerIdstring or null

Billing consumer identifier for this contract (optional)

ownerIdstring or null

Owner (titolare) identifier for this contract (optional)

legalRepresentativeIdstring

Legal representative identifier for this contract

recipientobject(ContractRecipientDto)
metadataobject

Metadata key/value pairs for the contract

Example: {"your-property":"value of property"}
resellContractIdstring or null

Reseller contract identifier related to this contract

numberstring

CRM contract number

createOrganizationboolean

Indicates that upon completion of the contract, the organization related to the BillingConsumer referred to in the contract should be created

typestring(int32)

Type of contract (e.g. "distribution", "resell", "direct", indirect)

Enum"Resell""Direct""Indirect""Distribution"
curl -i -X POST \
  'https://docs.namirial.app/v1/organizations/{id}/contracts' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "description": "string",
    "startDate": "2023-11-28",
    "issuerId": "string",
    "legalEntityId": "string",
    "billingConsumerId": "string",
    "ownerId": "string",
    "legalRepresentativeId": "string",
    "recipient": {
      "email": "string"
    },
    "metadata": {
      "your-property": "value of property"
    },
    "resellContractId": "string",
    "number": "string",
    "createOrganization": true,
    "type": "Resell"
  }'

Responses

OK

Bodyapplication/json
idstring
Response
application/json
{ "id": "string" }

Return service activation group id by contract id

Request

Security policies: OrganizationContractOrGlobalContractDetailsView

Security
OpenIdConnect
Path
idstringrequired

Identifier for a organization

contractIdstringrequired

Identifier for a contract

curl -i -X GET \
  'https://docs.namirial.app/v1/organizations/{id}/contracts/{contractId}/service-activation-group' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
descriptionobject or null

The name for this service activation group

afterSignRedirectUristring or null

The URI to which OP should redirect user after service activation group has been signed (default: no redirect)

contractIdsArray of strings

Identifier of the contracts in this service activation group

idstring

Unique identifier of this service activation group.

createdAtstring(date-time)

Date and time indicating when this service activation group was created.

Example: "2023-11-28T08:14:32.585Z"
updatedAtstring(date-time)

Date and time indicating when this service activation group was last updated.

Example: "2023-11-28T08:14:32.585Z"
onboardingStateobject(OnboardingStateDto)

Persisted onboarding wizard state for a service activation group

Response
application/json
{ "description": { "property1": "string", "property2": "string" }, "afterSignRedirectUri": "string", "contractIds": [ "string" ], "id": "string", "createdAt": "2023-11-28T08:14:32.585Z", "updatedAt": "2023-11-28T08:14:32.585Z", "onboardingState": { "currentStepIndex": 0, "currentSubStepIndex": 0 } }

Return a contract where given organization is party related in contract

Request

Security policies: OrganizationContractOrGlobalContractDetailsView

Security
OpenIdConnect
Path
contractIdstringrequired
Query
signingExtraInfoboolean
itemsInPendingExtraInfoboolean
itemsContractDataConflictExtraInfoboolean
curl -i -X GET \
  'https://docs.namirial.app/v1/organizations/{id}/contracts/{contractId}?signingExtraInfo=true&itemsInPendingExtraInfo=true&itemsContractDataConflictExtraInfo=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
descriptionstring

Description for this contract

startDatestring(date)

Date and time indicating starting date for this contract.

Example: "2023-11-28"
issuerIdstring or null

Issuer identifier for this contract

legalEntityIdstring

Legal entity identifier for this contract

billingConsumerIdstring or null

Billing consumer identifier for this contract (optional)

ownerIdstring or null

Owner (titolare) identifier for this contract (optional)

legalRepresentativeIdstring

Legal representative identifier for this contract

recipientobject(ContractRecipientDto)
metadataobject

Metadata key/value pairs for the contract

Example: {"your-property":"value of property"}
resellContractIdstring or null

Reseller contract identifier related to this contract

numberstring

CRM contract number

createOrganizationboolean

Indicates that upon completion of the contract, the organization related to the BillingConsumer referred to in the contract should be created

typestring(int32)

Type of contract (e.g. "distribution", "resell", "direct", indirect)

Enum"Resell""Direct""Indirect""Distribution"
statusstring(int32)

Indicates the contract status

Enum"Draft""Pending""Final""Processing""Completed""Expired""Cancelled""Support"
contractItemRuleSnapshotsArray of objects(ContractItemRuleSnapshotDto)

The list of contract item rule snapshots associated with this contract. This represents the state of contract item rules at the time of last modification.

idstring

Unique identifier of this contract

businessRelationIdstring

Indicates the businessRelation related to the contract

createdAtstring(date-time)

Date and time indicating when this contract was created.

Example: "2023-11-28T08:14:32.585Z"
updatedAtstring(date-time)

Date and time indicating when this contract was last updated.

Example: "2023-11-28T08:14:32.585Z"
legalEntityNamestring

Legal entity name for this contract

Example: "Namirial S.P.A"
billingConsumerNamestring

Billing consumer name for this contract

Example: "Billable Consumer 1"
ownerNamestring or null

Owner name for this contract

Example: "Owner Consumer 1"
legalRepresentativeNamestring or null

Legal representative name for this contract

Example: "Legal Representative Consumer 1"
issuerNamestring or null

Issuer name for this contract

Example: "Issuer Consumer 1"
Response
application/json
{ "description": "string", "startDate": "2023-11-28", "issuerId": "string", "legalEntityId": "string", "billingConsumerId": "string", "ownerId": "string", "legalRepresentativeId": "string", "recipient": { "email": "string" }, "metadata": { "your-property": "value of property" }, "resellContractId": "string", "number": "string", "createOrganization": true, "type": "Resell", "status": "Draft", "contractItemRuleSnapshots": [ { … } ], "id": "string", "businessRelationId": "string", "createdAt": "2023-11-28T08:14:32.585Z", "updatedAt": "2023-11-28T08:14:32.585Z", "legalEntityName": "Namirial S.P.A", "billingConsumerName": "Billable Consumer 1", "ownerName": "Owner Consumer 1", "legalRepresentativeName": "Legal Representative Consumer 1", "issuerName": "Issuer Consumer 1" }

Update a contract

Request

Security policies: OrganizationOrGlobalContractEdit

Security
OpenIdConnect
Path
contractIdstringrequired
Bodyapplication/jsonrequired
descriptionstring

Description for this contract

startDatestring(date)

Date and time indicating starting date for this contract.

Example: "2023-11-28"
issuerIdstring or null

Issuer identifier for this contract

legalEntityIdstring

Legal entity identifier for this contract

billingConsumerIdstring or null

Billing consumer identifier for this contract (optional)

ownerIdstring or null

Owner (titolare) identifier for this contract (optional)

legalRepresentativeIdstring

Legal representative identifier for this contract

recipientobject(ContractRecipientDto)
metadataobject

Metadata key/value pairs for the contract

Example: {"your-property":"value of property"}
resellContractIdstring or null

Reseller contract identifier related to this contract

numberstring

CRM contract number

createOrganizationboolean

Indicates that upon completion of the contract, the organization related to the BillingConsumer referred to in the contract should be created

typestring(int32)

Type of contract (e.g. "distribution", "resell", "direct", indirect)

Enum"Resell""Direct""Indirect""Distribution"
curl -i -X PUT \
  'https://docs.namirial.app/v1/organizations/{id}/contracts/{contractId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "description": "string",
    "startDate": "2023-11-28",
    "issuerId": "string",
    "legalEntityId": "string",
    "billingConsumerId": "string",
    "ownerId": "string",
    "legalRepresentativeId": "string",
    "recipient": {
      "email": "string"
    },
    "metadata": {
      "your-property": "value of property"
    },
    "resellContractId": "string",
    "number": "string",
    "createOrganization": true,
    "type": "Resell"
  }'

Responses

OK

Bodyapplication/json
idstring

GUID identifier.

Example: "c6de6777-1a90-45f2-869d-007421d682a2"
Response
application/json
{ "id": "c6de6777-1a90-45f2-869d-007421d682a2" }

Delete an organization's contract

Request

Security policies: OrganizationOrGlobalContractEdit

Security
OpenIdConnect
Path
contractIdstringrequired
curl -i -X DELETE \
  'https://docs.namirial.app/v1/organizations/{id}/contracts/{contractId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
succeededOperationsArray of objects(SucceededOperationDto)
failedOperationsArray of objects(FailedOperationDto)
Response
application/json
{ "succeededOperations": [ { … } ], "failedOperations": [ { … } ] }

Update status of contract to final

Request

The main requirement to go in "Final" status is to be in “Draft” status and not have any "Pending" items

Security policies: OrganizationOrGlobalContractEdit

Security
OpenIdConnect
Path
contractIdstringrequired
Query
sendNotificationboolean

Optional flag to control whether contract ready email notification should be sent. When false or not provided, no email is sent.

curl -i -X PUT \
  'https://docs.namirial.app/v1/organizations/{id}/contracts/{contractId}/status/final?sendNotification=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
contractIdstring

Identifier for the contract.

provisioningValidationResultsArray of objects(ProvisioningValidationResultDto)

List of contract items that were updated as part of the operation.

Response
application/json
{ "contractId": "string", "provisioningValidationResults": [ { … } ] }

Update status of organization's contract to expired

Request

The contract must be in Completed status

Security policies: OrganizationOrGlobalContractEdit

Security
OpenIdConnect
Path
contractIdstringrequired
curl -i -X PUT \
  'https://docs.namirial.app/v1/organizations/{id}/contracts/{contractId}/status/expired' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
idstring

GUID identifier.

Example: "c6de6777-1a90-45f2-869d-007421d682a2"
Response
application/json
{ "id": "c6de6777-1a90-45f2-869d-007421d682a2" }

Update end date of contract
Deprecated

Request

🗑️ DEPRECATED (Will no longer be available in the next release) 🗑️: This API is DEPRECATED and will be removed on 2026-05-01. Reason: The end date of a contract has been removed. It doesn't do anything anymore..


Security policies: OrganizationOrGlobalContractEdit

Security
OpenIdConnect
Path
contractIdstringrequired
Bodyapplication/jsonrequired
endDatestring or null(date)

Date and time indicating ending date for this contract.

Example: "2023-11-29"
curl -i -X PUT \
  'https://docs.namirial.app/v1/organizations/{id}/contracts/{contractId}/end-date' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "endDate": "2023-11-29"
  }'

Responses

OK

Bodyapplication/json
idstring

GUID identifier.

Example: "c6de6777-1a90-45f2-869d-007421d682a2"
Response
application/json
{ "id": "c6de6777-1a90-45f2-869d-007421d682a2" }

GET_v1_organizations_id_consumers_consumerId_contracts
Deprecated

Request

🗑️ DEPRECATED (Will no longer be available in the next release) 🗑️: This API is DEPRECATED and will be removed on 2026-04-01, use API GET '/v1/organizations/{id}/contracts' instead.


Security policies: OrganizationsConsumerContractsView

Security
OpenIdConnect
Path
idstringrequired
consumerIdstringrequired
Query
filterstring

The filter ODATA expression contracts by. If set exclude all other filters. (Default: Not applied)

legalEntityIdstring

The id of the legal entity to be used as second party filter in contracts. (Default: Not applied)

issuerIdstring

The id of the issuer to be used as second party filter in contracts. (Default: Not applied)

ownerIdstring

The id of the owner to be used as second party filter in contracts. (Default: Not applied)

legalRepresentativeIdstring

The id of the legal representative to be used as second party filter in contracts. (Default: Not applied)

searchOnAnyRecipientsConsumerIdboolean

search consumer id on billing consumer id, owner id and legal representative id of the contract. (Default: Not applied)

statusstring

The list of contract statuses for which contracts should be filtered. Is JSON array format. (Default: Not applied)

typestring

The list of contract types for which contracts should be filtered. Is JSON array format. (Default: Not applied)

startDateFromstring

The start date from of the contract. Example: 2023-11-28 (Default: Not applied)

startDateTostring

The start date to of the contract. Example: 2023-11-28 (Default: Not applied)

numberstring

The contract number to be used as filter in contracts. (Default: Not applied)

orderBystring

The order ODATA expression contracts by. If set exclude other sorts. (Default: Not applied)

searchstring

The search term for filtering items. (Default: Not applied)

exactboolean

Boolean which defines whether the params name and search must match exactly. (Default: false)

pageNumberinteger(int32)

The page number of pagination. (Default: 1)

pageSizeinteger(int32)

The page size of pagination. (Default: 50, Max: 500)

shouldCountboolean

Indicates whether the query should also return the total count of items (Default: true)

curl -i -X GET \
  'https://docs.namirial.app/v1/organizations/{id}/consumers/{consumerId}/contracts?filter=string&legalEntityId=string&issuerId=string&ownerId=string&legalRepresentativeId=string&searchOnAnyRecipientsConsumerId=true&status=string&type=string&startDateFrom=string&startDateTo=string&number=string&orderBy=string&search=string&exact=true&pageNumber=0&pageSize=0&shouldCount=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
itemsArray of objects(ContractDto)

ICollection of the final sorted, filtered and paginated data.

pageNumberinteger(int32)

The current page number.

pageSizeinteger(int32)

Number or items in a page.

totalPagesinteger(int32)read-only

Total number of pages.

totalItemsinteger(int32)

Total number of items that exist for the query.

Response
application/json
{ "items": [ { … } ], "pageNumber": 0, "pageSize": 0, "totalPages": 0, "totalItems": 0 }

GET_v1_organizations_id_consumers_consumerId_contracts_contractId
Deprecated

Request

🗑️ DEPRECATED (Will no longer be available in the next release) 🗑️: This API is DEPRECATED and will be removed on 2026-04-01, use API GET '/v1/organizations/{id}/contracts/{contractId}' instead.


Security policies: OrganizationsConsumerContractsView

Security
OpenIdConnect
Path
idstringrequired
consumerIdstringrequired
contractIdstringrequired
curl -i -X GET \
  'https://docs.namirial.app/v1/organizations/{id}/consumers/{consumerId}/contracts/{contractId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
descriptionstring

Description for this contract

startDatestring(date)

Date and time indicating starting date for this contract.

Example: "2023-11-28"
issuerIdstring or null

Issuer identifier for this contract

legalEntityIdstring

Legal entity identifier for this contract

billingConsumerIdstring or null

Billing consumer identifier for this contract (optional)

ownerIdstring or null

Owner (titolare) identifier for this contract (optional)

legalRepresentativeIdstring

Legal representative identifier for this contract

recipientobject(ContractRecipientDto)
metadataobject

Metadata key/value pairs for the contract

Example: {"your-property":"value of property"}
resellContractIdstring or null

Reseller contract identifier related to this contract

numberstring

CRM contract number

createOrganizationboolean

Indicates that upon completion of the contract, the organization related to the BillingConsumer referred to in the contract should be created

typestring(int32)

Type of contract (e.g. "distribution", "resell", "direct", indirect)

Enum"Resell""Direct""Indirect""Distribution"
statusstring(int32)

Indicates the contract status

Enum"Draft""Pending""Final""Processing""Completed""Expired""Cancelled""Support"
contractItemRuleSnapshotsArray of objects(ContractItemRuleSnapshotDto)

The list of contract item rule snapshots associated with this contract. This represents the state of contract item rules at the time of last modification.

idstring

Unique identifier of this contract

businessRelationIdstring

Indicates the businessRelation related to the contract

createdAtstring(date-time)

Date and time indicating when this contract was created.

Example: "2023-11-28T08:14:32.585Z"
updatedAtstring(date-time)

Date and time indicating when this contract was last updated.

Example: "2023-11-28T08:14:32.585Z"
legalEntityNamestring

Legal entity name for this contract

Example: "Namirial S.P.A"
billingConsumerNamestring

Billing consumer name for this contract

Example: "Billable Consumer 1"
ownerNamestring or null

Owner name for this contract

Example: "Owner Consumer 1"
legalRepresentativeNamestring or null

Legal representative name for this contract

Example: "Legal Representative Consumer 1"
issuerNamestring or null

Issuer name for this contract

Example: "Issuer Consumer 1"
Response
application/json
{ "description": "string", "startDate": "2023-11-28", "issuerId": "string", "legalEntityId": "string", "billingConsumerId": "string", "ownerId": "string", "legalRepresentativeId": "string", "recipient": { "email": "string" }, "metadata": { "your-property": "value of property" }, "resellContractId": "string", "number": "string", "createOrganization": true, "type": "Resell", "status": "Draft", "contractItemRuleSnapshots": [ { … } ], "id": "string", "businessRelationId": "string", "createdAt": "2023-11-28T08:14:32.585Z", "updatedAt": "2023-11-28T08:14:32.585Z", "legalEntityName": "Namirial S.P.A", "billingConsumerName": "Billable Consumer 1", "ownerName": "Owner Consumer 1", "legalRepresentativeName": "Legal Representative Consumer 1", "issuerName": "Issuer Consumer 1" }

Update status of contract to pending
Deprecated

Request

⚠️ DEPRECATED ⚠️: This API is DEPRECATED and will be removed on 2026-11-01, use API PUT '/v1/contracts/{contractId}/status/final' instead.


Security policies: OrganizationOrGlobalContractEdit

Security
OpenIdConnect
Path
contractIdstringrequired
curl -i -X PUT \
  'https://docs.namirial.app/v1/organizations/{id}/contracts/{contractId}/status/pending' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
idstring

GUID identifier.

Example: "c6de6777-1a90-45f2-869d-007421d682a2"
Response
application/json
{ "id": "c6de6777-1a90-45f2-869d-007421d682a2" }

Counters

Operations

Product Metrics

Operations

Service Activation Groups

Operations